# ErrorNotifiable (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Interface ErrorNotifiable

All Known Subinterfaces:
  Channel, Channel.Direct, Channel.Forwarded, Service, Session, Session.Command, Session.Shell, Session.Subsystem

All Known Implementing Classes:
  AbstractChannel, AbstractDirectChannel, AbstractForwardedChannel, AbstractService, ChannelInputStream, ChannelOutputStream, ConnectionImpl, RemotePortForwarder.ForwardedTCPIPChannel, SessionChannel, UserAuthImpl, X11Forwarder.X11Channel

    public interface ErrorNotifiable

API for classes that are capable of being notified on an error so they can cleanup.

Nested Class Summary
`static class` `ErrorNotifiable.Util` Utility functions.

Method Summary
`void` `notifyError(SSHException error)` Notifies this object of an `error`.

Method Detail

### notifyError

    void notifyError(SSHException error)

  Notifies this object of an `error`.

Copyright © 2009-2011. All Rights Reserved.